Results 1 to 6 of 6

Thread: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

  1. #1

    Default Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    Any page that I attempt to open that requires a secure connection has started to return a error message that reads:

    Secure Connection Failed

    An error occured during a connection to forums.opensuse.org

    Can't connect securely because the SSL protocol has been disabled

    (Error code ssl_error_ssl_disabled)


    Here is my Firefox zypper information:

    zypper info Mozillafirefox

    Loading repository data...

    Reading installed packages...

    Information for package Mozillafirefox:

    Repository: @System
    Name: MozillaFirefox
    Version: 3.6.10-0.3.1
    Arch: x86_64
    Vendor: openSUSE
    Installed: Yes
    Status: up-to-date
    Installed Size: 3.4 MiB
    Summary: Mozilla Firefox Web Browser
    Description:
    Mozilla Firefox is a standalone web browser, designed for standards
    compliance and performance. Its functionality can be enhanced via a
    plethora of extensions.


    The system is a Lenovo T61P installed fresh from the boxed set OpenSuse 11.3 about a week ago. Nothing but the basic development type of options were installed from the media. The only changes to the installation were those downloaded through the updater service.

    Any suggestions would be appreciated.

    Thanks

  2. #2

    Default Re: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    The tail of the /var/log/zypp/history file is as follows:

    2010-09-17 09:37:36|install|mozilla-js192|1.9.2.10-0.4.1|x86_64||Updates for openSUSE 11.3 11.3-1.82|c167dc39858182874242871857f96cfc5a90fa93
    2010-09-17 09:37:39|install|mozilla-xulrunner192|1.9.2.10-0.4.1|x86_64||Updates for openSUSE 11.3 11.3-1.82|b4519bd31ae1919c65f1004346c2cfb9e9a63b0d
    2010-09-17 09:37:39|install|mozilla-xulrunner192-gnome|1.9.2.10-0.4.1|x86_64||Updates for openSUSE 11.3 11.3-1.82|2db207905e72a9dff157a2dae1b8fa0ead9e7fb7
    # 2010-09-17 09:37:42 MozillaFirefox-3.6.10-0.3.1.x86_64.rpm installed ok
    # Additional rpm output:
    # Error in file "/usr/share/applications/ggl-qt.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    # Error in file "/usr/share/applications/kde4/kfontview.desktop": "fonts/package" is an invalid MIME type ("fonts" is an unregistered media type)
    # Error in file "/usr/share/applications/ggl-gtk.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    # Error in file "/usr/share/applications/ggl-qt.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    # Error in file "/usr/share/applications/kde4/kfontview.desktop": "fonts/package" is an invalid MIME type ("fonts" is an unregistered media type)
    # Error in file "/usr/share/applications/ggl-gtk.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    #
    2010-09-17 09:37:42|install|MozillaFirefox|3.6.10-0.3.1|x86_64||Updates for openSUSE 11.3 11.3-1.82|622ede04d2d51c54a3ae70bccbb01f2f48083f72


    Shortly after those updates, I had done a restart and that is when I started having the issue with SSL communications. Could someone give me the commands that I would use to revert to the earlier versions of those packages? Just prior to the SSL problem, I know that I was on Firefox 3.6.8, if I

    zyppe in --force MozillaFirefox=3.6.8

    Would zyppe's dependency check deal with the remainder of the list where appropriate?

    Thanks again

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,697

    Default Re: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    You should be able to revert in Yast just look at the version tab.

  4. #4

    Default Re: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    Thanks gogalthorp, I appreciate the response.

    I used Yast to revert MozillaFirefox to 3.8.6 and it stepped me through the dependency issues. I selected the actions that reverted those too. This didn't solve the original problem, though. (I had done a hard down and restart before testing.) I'm still receiving the ssl_error_ssl_disabled message whenever ssl is required to view a page.

    Given that reverting to 3.6.8 hadn't fixed the problem, I used YaST to roll back forward to 3.6.10. I took a quick look at the tail of the y2log file in /var/log/YaST2/y2log and found the only real error messages to be as shown below:

    Error in file "/usr/share/applications/ggl-qt.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    Error in file "/usr/share/applications/kde4/kfontview.desktop": "fonts/package" is an invalid MIME type ("fonts" is an unregistered media type)
    Error in file "/usr/share/applications/ggl-gtk.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    Error in file "/usr/share/applications/ggl-qt.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)
    Error in file "/usr/share/applications/kde4/kfontview.desktop": "fonts/package" is an invalid MIME type ("fonts" is an unregistered media type)
    Error in file "/usr/share/applications/ggl-gtk.desktop": "app/gg" is an invalid MIME type ("app" is an unregistered media type)


    After a hard restart and quick test, I found that I was still unable to interact with any SSL dependent web sites. (I'm using an ie8 to do these posts at the moment.) That leaves my system back where I started with 3.8.10 and with a seeming inability to run any SSL comms.

    Does anyone have any ideas short of just reinstalling the system from the media?

    Thanks

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,697

    Default Re: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    SSL is a separate package, not part of FF. Either ssl is not running or the ports are blocked by the firewall or somewhere in your Internet connection chain.

  6. #6

    Default Re: Firefox 3.6.10 issues on new OpenSuse 11.3 (x86-64 bit) system concerning ssl_error_ssl_disabled

    Thanks again gogalthorp!

    I don't know how it happened but both my "Use SSL 3.0" and "Use TSL 1.0" options were disabled in Firefox - Edit/Preferences/Advanced/Security.

    Resetting them was all that was needed.

    Thanks again!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •